Subject: Re: [PATCH net] ice: Fix freeing uninitialized pointers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 21 Mar 2024 18:48:28 -0700

On Thu, 21 Mar 2024 15:27:47 -0700 Jesse Brandeburg wrote:
> The gist of it is that we should instead be using inline declarations, 
> which I also agree is a reasonable style for this. It more clearly shows 
> the __free(kfree) and the allocation (kzalloc, kcalloc, etc) on the same 
> (or virtually the same) line of code.
> 
> I'm curious if Jakub would dislike this less? Accept?

At present I find this construct unreadable.
I may get used to it, hard to say.

Also I don't see the benefit of the auto-freeing construct,
I'd venture a guess that all the bugs it may prevent would
have been caught by smatch. But I'm an old curmudgeon stuck
in my ways. Feel free to experiment in Intel drivers, and we'll
see how it works out 🤷️